yes1111 (yes1111) wrote,
yes1111
yes1111

Category:

Записки пингвиновода-любителя: RHEL6 + alsamixer = Ошибка сегментирования



У вас установлен Scientific Linux 6.3? Или еще какой-либо из клонов Red Hat Enterprise Linux 6.3?
И при попытке запустить alsamixer внезапно стало вываливаться: "Ошибка сегментирования"?

У меня такое случилось вчера утром. Причем и на домашнем десктопе, и у сына на ноутбуке. Как раз в тот момент, когда надо было записать передачу по радио.

Похоже, в фоновом режиме было автоматически установлено некое обновление системы, в результате которого программа перестала работать.

Лечим так:

1. Удаляем alsa-utils (у меня стояла версия  alsa-utils-1.0.22-3.el6).
2. Ставим вот эти (из репозитория CentOS 6):
    alsa-utils-1.0.22-5.el6.i686.rpm
    alsa-utils-1.0.22-5.el6.x86_64.rpm
3. И запрещаем автоматические обновления, удалив пакет yum-autoupdate:
    yum remove yum-autoupdate

Теперь все, что вдруг понадобится, мы в любой момент сами сможем обновить вручную. А подобных сюрпризов избежим.

Удачи!

P.S. (Дополнено советом holydiver_777, спасибо ему!):
В качестве п.3 можно еще и так:
    vi /etc/sysconfig/yum-autoupdate
    # Строчка 7: изменим на false
    ENABLED="false"
Tags: linux, записки сумасшедшего
Subscribe

  • Post a new comment

    Error

    Anonymous comments are disabled in this journal

    default userpic

    Your reply will be screened

    Your IP address will be recorded 

  • 4 comments